#include <gtk/gtk.h>
#include <stdlib.h>
#include "level.h"
#include "window.h"


int main(int argc, char *argv[]) {
  VERTEX vertices[4] = {{0,-1}, {1,0}, {0,1}, {-1,0}};
  ROOM room = {{sizeof(vertices)/sizeof(vertices[0]), vertices}, calloc(1, sizeof(unsigned char))};
  LEVEL lvl = {1, &room};
  GtkWidget *window;
  
  gtk_init(&argc, &argv);
  
  window = createMainWindow();
  
  setLevel(&lvl);
  
  gtk_widget_show(window);
  
  gtk_main();
  
  free(room.name);
  
  return 0;
}
